Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
Halide::Internal::FindAllCalls Class Reference

Visitor for keeping track of functions that are directly called and the arguments with which they are called. More...

`#include <AutoScheduleUtils.h>`

Inheritance diagram for Halide::Internal::FindAllCalls:

## Public Attributes
std::set< std::string > | funcs_called
std::vector< std::pair< std::string, std::vector< Expr > > > | call_args

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::IRVisitor
| IRVisitor ()=default
virtual | ~IRVisitor ()=default
virtual void | visit (const IntImm *)
virtual void | visit (const UIntImm *)
virtual void | visit (const FloatImm *)
virtual void | visit (const StringImm *)
virtual void | visit (const Cast *)
virtual void | visit (const Reinterpret *)
virtual void | visit (const Add *)
virtual void | visit (const Sub *)
virtual void | visit (const Mul *)
virtual void | visit (const Div *)
virtual void | visit (const Mod *)
virtual void | visit (const Min *)
virtual void | visit (const Max *)
virtual void | visit (const EQ *)
virtual void | visit (const NE *)
virtual void | visit (const LT *)
virtual void | visit (const LE *)
virtual void | visit (const GT *)
virtual void | visit (const GE *)
virtual void | visit (const And *)
virtual void | visit (const Or *)
virtual void | visit (const Not *)
virtual void | visit (const Select *)
virtual void | visit (const Load *)
virtual void | visit (const Ramp *)
virtual void | visit (const Broadcast *)
virtual void | visit (const Let *)
virtual void | visit (const LetStmt *)
virtual void | visit (const AssertStmt *)
virtual void | visit (const ProducerConsumer *)
virtual void | visit (const Store *)
virtual void | visit (const Provide *)
virtual void | visit (const Allocate *)
virtual void | visit (const Free *)
virtual void | visit (const Realize *)
virtual void | visit (const Block *)
virtual void | visit (const Fork *)
virtual void | visit (const IfThenElse *)
virtual void | visit (const Evaluate *)
virtual void | visit (const Call *)
virtual void | visit (const Variable *)
virtual void | visit (const For *)
virtual void | visit (const Acquire *)
virtual void | visit (const Shuffle *)
virtual void | visit (const Prefetch *)
virtual void | visit (const HoistedStorage *)
virtual void | visit (const Atomic *)
virtual void | visit (const VectorReduce *)

## Detailed Description

Visitor for keeping track of functions that are directly called and the arguments with which they are called.

Definition at line 26 of file AutoScheduleUtils.h.

## Member Data Documentation

## ◆ funcs_called

std::set<std::string> Halide::Internal::FindAllCalls::funcs_called

Definition at line 40 of file AutoScheduleUtils.h.

## ◆ call_args

std::vector<std::pair<std::string, std::vector<Expr> > > Halide::Internal::FindAllCalls::call_args

Definition at line 41 of file AutoScheduleUtils.h.

The documentation for this class was generated from the following file:

- src/AutoScheduleUtils.h